//
//  UILabel+MTAdditions.m
//  scummvm
//
//  Created by Ilya Levin on 31/10/2015.
//
//

#import "UILabel+MTAdditions.h"
#import "UIColor+MTAdditions.h"
#import "UIFont+ScummVMAdditions.h"
#import "GameInfo.h"

@implementation UILabel (MTAdditions)

-(void)configureWithTheme
{
    self.layer.masksToBounds = YES;
    self.clipsToBounds = NO;
    self.font = [UIFont mt_themeFontOfAppropriateSize];
    self.textColor = [UIColor mt_mainButtonColor];
    self.shadowColor = [UIColor mt_mainshadowButtonColor];
    
    switch (CURRENT_GAME_TYPE) {
        case GAME_TYPE_IHNM:
            self.shadowOffset = CGSizeMake(1.0f, 1.0f);
            break;
            
        case GAME_TYPE_FOTAQ:
            self.shadowOffset = CGSizeMake(1.0f, 2.0f);
            break;
            
        case GAME_TYPE_SIMON1:
            self.shadowOffset = CGSizeMake(1.0f, 1.0f);
            break;
            
        case GAME_TYPE_SIMON2:
            self.shadowOffset = CGSizeMake(1.0f, 1.0f);
            break;
            
        case GAME_TYPE_T7G:
            self.shadowOffset = CGSizeMake(1.0f, 1.0f);
            break;
    }
}

@end
