//
//  ListCell.m
//  scummvm
//
//  Created by Ilya Levin on 15/10/2015.
//
//

#import "ListCell.h"
#import "UILabel+MTAdditions.h"
#import "UIColor+MTAdditions.h"

NSString* const kListCellIdentifier = @"ListCellIdentifier";

@interface ListCell ()
@property (retain, nonatomic) IBOutlet UILabel *lblTitle;
@property (nonatomic) BOOL enabled;

@end

@implementation ListCell

-(void)awakeFromNib
{
    [super awakeFromNib];
    
    [self.lblTitle configureWithTheme];
    
    UIImageView* selectView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"selector"]];
    
    selectView.contentMode = UIViewContentModeScaleToFill;
    self.selectedBackgroundView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"selector"]];
    self.lblTitle.highlightedTextColor = [UIColor mt_selectedButtonColor];
}

-(void)configureWithTitle:(NSString *)title enabledState:(BOOL)enabled
{
    [_lblTitle setText:[title uppercaseString]];
    
    self.enabled = enabled;
    self.lblTitle.alpha = enabled?1.0f:0.6f;
}

@end
