//
//  ListDetailedCell.m
//  scummvm
//
//  Created by Ilya Levin on 19/10/2015.
//
//

#import "ListDetailedCell.h"
#import "UILabel+MTAdditions.h"
#import "UIFont+ScummVMAdditions.h"
#import "UIColor+MTAdditions.h"

NSString* const kListDetailedCellIdentifier = @"ListDetailedCellIdentifier";

@interface ListDetailedCell ()
@property (retain, nonatomic) IBOutlet UILabel *lblTitle;
@property (retain, nonatomic) IBOutlet UILabel *lblDetail;
@property (nonatomic) BOOL enabled;

@end

@implementation ListDetailedCell

-(void)awakeFromNib
{
    [super awakeFromNib];
    
    [self.lblTitle configureWithTheme];
    
    BOOL isIpad = [UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad;
    self.lblDetail.textColor = [UIColor mt_mainButtonColor];
    self.lblDetail.font = [UIFont mt_themeFontOfSize:isIpad?25:15];
    
    self.selectedBackgroundView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"selector"]];
}

-(void)configureWithItemName:(NSString *)name detail:(NSString *)detail enabled:(BOOL)enabled
{
     if (self.nativeUIInterface->hasFontwithLowercase()){
         self.lblTitle.text = name;
         self.lblDetail.text = detail;
     }
     else{ // Forcing capital letters if needed
         [_lblTitle setText:[name uppercaseString]];
         [_lblDetail setText:[detail uppercaseString]];
     }
    
    self.lblTitle.alpha = enabled?1:0.6;
    self.lblDetail.alpha = enabled?1:0.6;
}

@end
