//
//  ListDialogViewController.h
//  scummvm
//
//  Created by Ilya Levin on 14/10/2015.
//
//

#import <UIKit/UIKit.h>
#import "iPhoneNativeUiInterface.h"

@interface ListDialogViewController : UIViewController <UITableViewDelegate, UITableViewDataSource>
@property (nonatomic) iPhoneNativeUiInterface* nativeUIInterface;

@property (retain, nonatomic) IBOutlet UITableView *tableView;

@property (retain, nonatomic) IBOutlet UILabel *lblMessage;
@property (retain, nonatomic) IBOutlet UIButton *btnNegative;
@property (retain, nonatomic) IBOutlet UIButton *btnPositive;


@property (nonatomic, strong) NSString* message;
@property (nonatomic, strong) NSArray* items;
@property (nonatomic) NSUInteger buttonNumber;
@property (nonatomic, strong) NSString* negativeButton;
@property (nonatomic, strong) NSString* positiveButton;
@property (nonatomic) shared_ptr<Enhanced::ListDialogListener> listener;

-(void)configureButtonTitles;

-(CGFloat)cellHeight;

-(void)indexPathTapped:(NSIndexPath*)indexPath;
- (IBAction)negativeTapped:(id)sender;
- (IBAction)positiveTapped:(id)sender;

+(instancetype)listDialogViewControllerWithMessage:(NSString*)message
                                             items:(NSArray*)items
                                      buttonNumber:(NSUInteger)buttonNumber
                                    negativeButton:(NSString*)negativeButton
                                    positiveButton:(NSString*)positiveButton
                                           listner:(shared_ptr<Enhanced::ListDialogListener> )listener;

@end
