//
//  iPhonePlatformInterface.h
//  scummvm
//
//  Created by Omer Gilad on 9/14/15.
//
//

#ifndef __scummvm__iPhonePlatformInterface__
#define __scummvm__iPhonePlatformInterface__

#include "enhanced/PlatformInterface.h"
#include "iPhoneNativeUiInterface.h"

#include <OpenGLES/ES2/gl.h>
#include <OpenGLES/ES2/glext.h>


class IPhonePlatformInterface : public Enhanced::PlatformInterface
{
    
public:
    
    IPhonePlatformInterface();
    
    virtual ~IPhonePlatformInterface();
    
    virtual Enhanced::NativeUiInterface* getNativeUiInterface();

    /**
     *  Draw a bitmap to the screen.
     * If this is a texture bitmap, it was stored in a HW texture before and should be grabbed from there.
     * If not, the bitmap pixels are stored in the bitmap struct and should be used.
     *
     *  @param bitmap        <#bitmap description#>
     *  @param x             <#x description#>
     *  @param y             <#y description#>
     *  @param width         <#width description#>
     *  @param height        <#height description#>
     *  @param .0            <#.0 description#>
     *  @param customProgram <#customProgram description#>
     */
    virtual void drawOverlayBitmap(Enhanced::OverlayBitmap* bitmap, float x, float y,
                                   float width = 0.0, float height = 0.0, float alpha = 1.0, Enhanced::OverlayShaderType shaderType = Enhanced::OverlayShaderType::NORMAL);
    
    /**
     *  Allocate a bitmap in a HW texture (like a sprite sheet) to be drawn later.
     *
     *  @param textureX <#textureX description#>
     *  @param textureY <#textureY description#>
     *  @param h        <#h description#>
     *  @param w        <#w description#>
     */
    virtual void allocateBitmapInTexture(Enhanced::OverlayBitmap* bitmap);
    
    virtual bool IsMT32SupportedDevice();
    
    virtual Common::String getDefaultGraphicSetting();
    
    virtual Common::String getGameFilePath();

    
private:
        
    void initOverlayTextures();
    
    GLuint* mOverlayGlTextures;

    iPhoneNativeUiInterface* mUiInterface;
    
    uint16* mEmptyClearingBuffer;
};

#endif /* defined(__scummvm__iPhonePlatformInterface__) */
